# Readme
In this file, we will describe the two ground truths created for the research paper entitled "Towards Outlier Sensor Detection in Ambient Intelligent Platforms: a low-complexity Statistical Approach".
Authors: [Diego Martín](mailto:diego.martin.de.andres@upm.es), [Damaris Fuentes-Lorenzo](mailto:damaris.fuentes.lorenzo@upm.es), Borja Bordel, and Ramón Alcarria.

>We stated two research questions in our research work:
>Always considering that it is necessary to have a high accuracy and low computational complexity:
> Research question 1 **RQ1**: Outliers due to missing values can be detected?
> Research question 2 **RQ2**: Outliers due to incorrect values can be detected?

We developed two ground truths from the whole [Sofia Air Quality Dataset](https://www.kaggle.com/hmavrodiev/sofia-air-quality-dataset/version/5?select=2017-07_bme280sof.csv) in order to compare the results of the classifiers to the real set from Sofia:
- A ground truth for RQ1 with samples including missing values; and
- A ground truth for RQ2 with samples including incorrect observations.

## First ground truth
The input dataset we use to create the first ground truth is composed of a set of 29 samples extracted from the data source that meets a specific characteristic: there are missing values among the observations. Each of these samples contains 150 observations taken chronologically in time.
In every sample vector, the 76th value has a clear time lapse from the previous 75th value; the rest of the following observations do not have any significant time difference.

All 29 files are in the directory:
./GT1/

The files are named as follows:
[XXX]-p[YYY].csv
Where:
XXX - It's the name of the sensor from which the data was extracted
YYY - It is the relative position of the outlier

These are comma-separated files, but the separator character is ;
With the following columns:
timestamp, temperature, RelativePosition, Sensor, outlier
The "outlier" column indicates whether that value has been considered as an outlier.

## Second ground truth
The second ground truth is formed by every observation of one specific temperature sensor - sensor 1850 - from the original data source. This sensor measured stable observations every 150 seconds during a period of a month, July 2017. The number of total observations in this set is 17603 values.
It has the complete manual classification of the 17603 values.

The file is located in:
./GT2/sensor1850-GroundTruth.csv

It is a comma-separated file, but the separator character is ;
It has the following columns: timestamp; temperature; outlier
The "outlier" column indicates whether that observation is considered as an outlier.
